Package org.drinkless.tdlib

# Class TdApi.Stories

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Stories

Enclosing class:
  `TdApi`

public static class TdApi.Stories extends TdApi.Object
Represents a list of stories.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `pinnedStoryIds`
  Identifiers of the pinned stories; returned only in getChatPostedToChatPageStories with fromStoryId == 0.
  `TdApi.Story[]`
  `stories`
  The list of stories.
  `int`
  `totalCount`
  Approximate total number of stories found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stories()`
  Represents a list of stories.
  `Stories(int totalCount, TdApi.Story[] stories, int[] pinnedStoryIds)`
  Represents a list of stories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of stories found.

  - ### stories

    public TdApi.Story[] stories
    The list of stories.

  - ### pinnedStoryIds

    public int[] pinnedStoryIds
    Identifiers of the pinned stories; returned only in getChatPostedToChatPageStories with fromStoryId == 0.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Stories

    public Stories()
    Represents a list of stories.

  - ### Stories

    public Stories(int totalCount, TdApi.Story[] stories, int[] pinnedStoryIds)
    Represents a list of stories.
    Parameters:
      `totalCount` - Approximate total number of stories found.
      `stories` - The list of stories.
      `pinnedStoryIds` - Identifiers of the pinned stories; returned only in getChatPostedToChatPageStories with fromStoryId == 0.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR